Subject: Re: [Xen-devel] xen-netfront crash when detaching network while some network activity

From: David Vrabel <[email-masked]>
Date: Fri, 22 May 2015 17:58:41 +0100

On 22/05/15 17:42, Marek Marczykowski-Górecki wrote:
> On Fri, May 22, 2015 at 05:25:44PM +0100, David Vrabel wrote:
>> On 22/05/15 12:49, Marek Marczykowski-Górecki wrote:
>>> Hi all,
>>>
>>> I'm experiencing xen-netfront crash when doing xl network-detach while
>>> some network activity is going on at the same time. It happens only when
>>> domU has more than one vcpu. Not sure if this matters, but the backend
>>> is in another domU (not dom0). I'm using Xen 4.2.2. It happens on kernel
>>> 3.9.4 and 4.1-rc1 as well.
>>>
>>> Steps to reproduce:
>>> 1. Start the domU with some network interface
>>> 2. Call there 'ping -f some-IP'
>>> 3. Call 'xl network-detach NAME 0'
>>
>> I tried this about 10 times without a crash.  How reproducible is it?
>>
>> I used a 4.1-rc4 frontend and a 4.0 backend.
> 
> It happens every time for me... Do you have at least two vcpus in that
> domU? With one vcpu it doesn't crash. The IP for ping I've used one in
> backend domU, but it shouldn't matter.
> 
> Backend is 3.19.6 here. I don't see any changes there between rc1 and
> rc4, so stayed with rc1. With 4.1-rc1 backend it also crashes for me.

Doesn't repro for me with 4 VCPU PV or PVHVM guests.  Is your guest
kernel vanilla or does it have some qubes specific patches on top?

David